Search prices

Returns prices whose description matches the supplied search term.

Search results are not intended for read-after-write flows. Use List Prices when you need to retrieve a newly created or updated price immediately.

Related guide: Products and Prices

Query Parameters
  • search
    Type: string
    min length:  
    1
    required

    Search term matched against price descriptions.

  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Integer numbers.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • product
    Type: string Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

    Filter prices by Product ID.

  • interval
    Type: string enum
    values
    • daily
    • weekly
    • monthly
    • quarterly
    • yearly
  • currency
    Type: string
  • min_unit_amount
    Type: integer Format: int64
    min:  
    0

    Signed 64-bit integers (long type).

  • max_unit_amount
    Type: integer Format: int64
    min:  
    0

    Signed 64-bit integers (long type).

  • active
    Type: boolean
  • start_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • sort_by
    Type: string enum
    values
    • created
    • updated
    • unit_amount
  • sort_order
    Type: string enum
    values
    • asc
    • desc
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/prices/search
curl 'https://api.paypercut.io/v1/prices/search?search=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "active": true,
      "billing_scheme": "per_unit",
      "created": 1,
      "currency": "string",
      "livemode": true,
      "lookup_key": null,
      "product": "01K755J9SV2364REVHB915Z2FW",
      "product_data": {
        "active": true,
        "name": "string",
        "description": "string",
        "unit_label": "string",
        "id": "string"
      },
      "recurring": {
        "interval": "daily",
        "interval_count": 1,
        "meter": null,
        "usage_type": "licensed"
      },
      "type": "one_time",
      "unit_amount": null,
      "unit_amount_decimal": null,
      "id": "string"
    }
  ],
  "last_key": null
}